CA ETPKI cryptocme2.dll is in conflict with another non-CA product same DLL binary file.

Document ID : KB000047982
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

A non-CA product (e.g.: EMC Networker v8.0.1) comes with its cryptocme2.dll.

It has been shown in one issue that the DLL can be in conflict with our following one:

CA\SharedComponents\ETPKI\lib\cryptocme2.dll

This problem has been observed on a remote agent (e.g.: NT) using CAM/CAFT component with encryption implemented.

Cam/Caft can only work with the CA ETPKI cryptocme2.dll and if another one is ahead in the path then the communication from the C++ connector plug-in to the endpoint fails with access denied due to encryption not working properly.

Solution:

Copy the CA\SharedComponents\ETPKI\lib\cryptocme2.dll to %CAI_CAFT%\bin and restart CAM service.